Bug 1442902 - SUI: Clicking on catalogs displays all services instead of catalogs.
Summary: SUI: Clicking on catalogs displays all services instead of catalogs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Allen W
QA Contact: Shveta
URL:
Whiteboard: catalog:ssui
Depends On: 1438665
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 00:59 UTC by Satoe Imaishi
Modified: 2017-05-31 15:05 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1438665
Environment:
Last Closed: 2017-05-31 15:05:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-18 01:08:14 UTC
New commit detected on ManageIQ/manageiq-ui-service/fine:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/f8632fc040d90325d0bcdd915444076e524ab4c3

commit f8632fc040d90325d0bcdd915444076e524ab4c3
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Mon Apr 17 12:51:43 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 21:03:02 2017 -0400

    Merge pull request #672 from AllenBW/enhancement/143722297-filter-catalog-by-name
    
    BZ#1438665PT#143722297-filter catalog by name
    (cherry picked from commit d3e58372f15a98d38ee620def22b4be1966fab26)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442902

 client/app/catalogs/catalog-explorer.component.js | 15 +++++++++------
 client/app/catalogs/catalog-explorer.html         |  1 +
 client/app/shared/ss-card/ss-card.component.js    |  1 +
 client/app/shared/ss-card/ss-card.html            |  1 +
 yarn.lock                                         | 18 +++++++-----------
 5 files changed, 19 insertions(+), 17 deletions(-)

Comment 3 CFME Bot 2017-04-18 13:18:04 UTC
New commit detected on ManageIQ/manageiq-ui-service/fine:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/56bd9a06cad70632cbcb58a2ba0cd162afd0b537

commit 56bd9a06cad70632cbcb58a2ba0cd162afd0b537
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Mon Apr 17 19:24:55 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 18 09:17:41 2017 -0400

    Merge pull request #676 from chalettu/service-catalog-title
    
    Changed Catalog menu title
    (cherry picked from commit 68c5e5947bf360556b42307f7047fd1faf9f72b7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442902

 client/app/core/navigation.config.js | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 4 Shveta 2017-04-26 16:16:26 UTC
Services can be filtered by catalog name.
Verified in 5.8.0.12-rc1.20170425180304_4f35996

Comment 6 errata-xmlrpc 2017-05-31 15:05:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.